=== plasmate/editors/CMakeLists.txt ===
add_subdirectory( metadata )
add_subdirectory( svg )
