=== plasmate/templates/CMakeLists.txt ===
install(FILES
  mainRunner.py
  mainDataEngine.py
  mainDataEngine.rb
  mainPlasmoid.js
  mainPlasmoid.py
  mainPlasmoid.qml
  mainPlasmoid.rb
  mainTabbox.qml
  mainKWinScript.js
  mainKWinEffect.js
  DESTINATION ${DATA_INSTALL_DIR}/plasmate/templates)
