=== debian/changelog ===
plasmate (1.0-0ubuntu4) utopic; urgency=high

  * Rebuild against boost1.55

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 22:14:50 +0100

plasmate (1.0-0ubuntu3) trusty; urgency=low

  * ... Actually bump to boost1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 25 Oct 2013 12:24:33 +0100

plasmate (1.0-0ubuntu2) trusty; urgency=low

  * Bump to boost1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 25 Oct 2013 02:20:52 +0100

plasmate (1.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Mar 2013 18:26:02 +0000

plasmate (1.0~beta1-0ubuntu1) raring; urgency=low

  * Initial release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 12 Feb 2013 14:58:02 +0530
