=== debian/control ===
Source: plasmate
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: debhelper (>= 8.0.0), cmake, pkg-kde-tools,
 kdelibs5-dev, kdepimlibs5-dev, libboost1.55-dev, libgpgme11-dev,
 libattica-dev, libqtwebkit-dev
Standards-Version: 3.9.4
Homepage: http://projects.kde.org/plasmate
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/plasmate
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/plasmate

Package: plasmate
Architecture: any
Depends: plasmate-data, ${shlibs:Depends}, ${misc:Depends}
Suggests: git
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.

Package: plasmate-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 Architecture independent files for plasmate
